package com.xy.service.factory.sim;

import com.xy.dto.SimInfoDto;
import com.xy.utils.R;

import java.util.List;

/**
 * <p>
 * Sim物联网卡接口
 * </p>
 *
 * @author hechunping
 * @since 2024/8/20
 */
public interface SimInfoFactory {
    /**
     * 卡状态查询
     * @param dto
     * @return
     */
    R<SimInfoDto.InfoVo> info(SimInfoDto.BaseDto dto);


    /**
     * 刷新网络 断开、恢复
     * @param dto
     * @return
     */
    R<String> refreshNet(SimInfoDto.RefreshNetDto dto);

    /**
     * 机卡重绑
     * @param dto
     * @return
     */
    R<String> bindAgain(SimInfoDto.BindAgainDto dto);


    /**
     * 购买加油包
     * @param dto
     * @return
     */
    R<String> buyPack(SimInfoDto.BuyPackDto dto);

    /**
     * 加油包列表
     * @return
     */
    R<List<SimInfoDto.PackListVo>> packList();
}
